From dab6c3b17fa18f8a5593aededbb0503fc8ecd0eb Mon Sep 17 00:00:00 2001
From: Ulrike Uhlig <u@451f.org>
Date: Fri, 2 Nov 2018 18:12:48 +0100
Subject: [PATCH] Fix typos and minor improvements.

---
 slaves/check_po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/slaves/check_po b/slaves/check_po
index d67c6ed..9161b5d 100755
--- a/slaves/check_po
+++ b/slaves/check_po
@@ -95,7 +95,7 @@ OUTPUT_MSGCAT=$(files \
                 | xargs -0 --max-procs="$CPUS" --max-args=64 -I {} \
                 sh -c 'TMPFILE="$(mktemp -t XXXXXX.`basename {}`)"; msgcat -w 79 "{}" -o "${TMPFILE}"; MSG=$(diff -q "{}" "${TMPFILE}"); EXIT=$?; rm "${TMPFILE}"; if [ ${EXIT} -ne 0 ]; then echo "{}"; fi')
 
-checkOutput "$OUTPUT_MSGCAT" "following files needs to be rewrapped to 79 chars:"
+checkOutput "$OUTPUT_MSGCAT" "following files need to be rewrapped to 79 chars:"
 
 # Check Content-Type: text/plain; charset=UTF-8\n
 checkPOHeader "Content-Type: text/plain; charset=UTF-8" "Content-Type is not text/plain; charset=UTF-8:"
@@ -111,10 +111,10 @@ checkPOHeader "Last-Translator: Tails translators" "Last-Translator header is no
 
 # Check Language like file extension Language: LANG\n
 
-# FNAME is full path (./pathto/file.inital.de.po)
+# FNAME is the full path (./pathto/file.inital.de.po)
 # BASENAME is only the name of the file (file.inital.de.po)
-# BASENAME1 is the name without po (file.inital.de)
-# LANG the language we expect (de)
+# BASENAME1 is the name without po suffix (file.inital.de)
+# LANG is the language we expect (de)
 
 OUTPUT_LANGUAGE=$(files \
             | xargs -0 --max-procs="$CPUS" --max-args=64 -I {} \
-- 
2.11.0

